# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Archive-Tar
Version:	1.82
Release:	1.%{__distinit}%{__distvers}
Summary:	A module for Perl manipulation of .tar files
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Archive-Tar/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BI/BINGOS/Archive-Tar-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Carp)
BuildRequires:	perl(Compress::Zlib) >= 2.015
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(IO::Compress::Base) >= 2.015
BuildRequires:	perl(IO::Compress::Bzip2) >= 2.015
BuildRequires:	perl(IO::Compress::Gzip) >= 2.015
BuildRequires:	perl(IO::String)
BuildRequires:	perl(IO::Zlib) >= 1.01
BuildRequires:	perl(Package::Constants)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Text::Diff)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# For gzip tarball support
Requires:	perl(Compress::Zlib) >= 2.015
# For bzip tarball support
Requires:	perl(IO::Compress::Bzip2) >= 2.015
# For creation of stringified archives
Requires:	perl(IO::String)
# For ptardiff
Requires:	perl(Text::Diff)

%description
Archive::Tar provides an object oriented mechanism for handling tar
files. It provides class methods for quick and easy files handling
while also allowing for the creation of tar file objects for custom
manipulation. Archive::Tar also supports compressed or gzipped tar
files.

%prep
%setup -q -n Archive-Tar-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{_bindir}/ptar
%{_bindir}/ptardiff
%{_bindir}/ptargrep
%{perl_vendorlib}/Archive/
%{_mandir}/man1/ptar.1*
%{_mandir}/man1/ptardiff.1*
%{_mandir}/man1/ptargrep.1*
%{_mandir}/man3/Archive::Tar.3pm*
%{_mandir}/man3/Archive::Tar::File.3pm*

%changelog
* Mon Nov 21 2011 Paul Howarth <paul@city-fan.org> - 1.82-1
- Update to 1.82
  - Adjustments to handle files >8gb (>0777777777777 octal)
  - Feature to return the MD5SUM of files in the archive

* Thu Oct 13 2011 Paul Howarth <paul@city-fan.org> - 1.80-1
- Update to 1.80
  - Add file chown() method (CPAN RT#71221)
- BR: perl(Carp)

* Fri Sep  9 2011 Paul Howarth <paul@city-fan.org> - 1.78-1
- Update to 1.78
  - Add chown() method (CPAN RT#70623)
  - Use "||" rather than "or" (Perl RT#78708)

* Tue Jun 21 2011 Paul Howarth <paul@city-fan.org> - 1.76-2
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jan 10 2011 Paul Howarth <paul@city-fan.org> - 1.76-1
- Update to 1.76 (upstream blead fixes)

* Sun Dec 19 2010 Paul Howarth <paul@city-fan.org> - 1.74-1
- Update to 1.74 (skip extracting pax extended headers - CPAN RT#64038)

* Fri Nov 19 2010 Paul Howarth <paul@city-fan.org> - 1.72-1
- Update to 1.72 (update docs for ptargrep)

* Tue Nov 16 2010 Paul Howarth <paul@city-fan.org> - 1.70-1
- Update to 1.70 (add ptargrep utility)

* Wed Aug 18 2010 Paul Howarth <paul@city-fan.org> - 1.68-1
- Update to 1.68 (check whether long files can be created or not in
  02_methods.t, hopefully resolving CPAN RT#57312 and CPAN RT#56163)

* Tue Jul 27 2010 Paul Howarth <paul@city-fan.org> - 1.66-1
- Update to 1.66
  - Fix Makefile.PL to produce better META.yml (CPAN RT#59699)
  - Add option -C to ptar (CPAN RT#59700)
- Add dependency on perl(IO::String) for creation of stringified archives
- Explicitly add buildreqs that were only pulled in implicitly

* Fri Jul  9 2010 Paul Howarth <paul@city-fan.org> - 1.64-1
- Update to 1.64
  - Remove the PERL_CORE specific chdir from all the tests
  - Improvements to file skipping (CPAN RT#58916)
  - Don't assume all filenames are IO::Handles (CPAN RT#59150)

* Tue Jun 29 2010 Paul Howarth <paul@city-fan.org> - 1.62-1
- Update to 1.62 (partly address problem with exit status of
  Archive::Tar->extract_archive() [#606813, CPAN RT#58636])

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> - 1.60-3
- Rebuild for perl 5.12.1 in Rawhide

* Tue Jun  8 2010 Paul Howarth <paul@city-fan.org> - 1.60-2
- Fix dist tag for RHEL-6 Beta

* Fri Apr 23 2010 Paul Howarth <paul@city-fan.org> - 1.60-1
- Update to 1.60 (fix for CPAN RT#54850, making write() and create_archive()
  close only handles they opened)

* Fri Feb 19 2010 Paul Howarth <paul@city-fan.org> - 1.58-1
- Update to 1.58 ($@ not cleaned up after eval - CPAN RT#54714)
- Revert to %%{__chmod} for permissions fixing for old distro compatibility

* Wed Feb  3 2010 Paul Howarth <paul@city-fan.org> - 1.56-1
- Update to 1.56 (compatibility hack for busybox - CPAN RT#50471)
- Use %%{_fixperms} macro rather than our own %%{__chmod} incantation
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 10 2009 Paul Howarth <paul@city-fan.org> - 1.54-1
- Update to 1.54 (fix global errors - CPAN RT#48879)
- New upstream maintainer -> new URL

* Mon Jun 15 2009 Paul Howarth <paul@city-fan.org> - 1.52-1
- Update to 1.52 (support for --no-same-permissions style behavior)

* Tue May  5 2009 Paul Howarth <paul@city-fan.org> - 1.48-1
- Import from Fedora
- Update to 1.48
- Buildreq perl(IO::Zlib) >= 1.01
- Buildreq perl(Package::Constants)
- Buildreq+req perl(Compress::Zlib) >= 2.015
- Buildreq+req perl(IO::Compress::Bzip2) >= 2.015
- Buildreq+req perl(Text::Diff)

* Thu Aug 23 2007 Robin Norwood <rnorwood@redhat.com> - 1.34-1
- Upgrade to latest upstream version: 1.34
- Fix license tag
- Fix BuildRequires for ExtUtils::MakeMaker and Test::Pod

* Mon Jun 04 2007 Robin Norwood <rnorwood@redhat.com> - 1.32-1
- Upgrade to latest upstream version: 1.32

* Mon Mar 05 2007 Robin Norwood <rnorwood@redhat.com> - 1.30-4
- Fix changelog

* Mon Feb 19 2007 Robin Norwood <rnorwood@redhat.com> - 1.30-3
- Incorporate specfile improvements from Jose Oliveira

* Fri Feb 16 2007 Robin Norwood <rnorwood@redhat.com> - 1.30-2
- Resolves: rhbz#226239 - Remove tabs from spec file for package review

* Tue Sep 19 2006 Robin Norwood <rnorwood@redhat.com> - 1.30-1
- Bump to 1.30

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.29-1.1
- Rebuild

* Wed Mar 08 2006 Jason Vas Dias <jvdias@redhat.com> - 1.29-1
- Upgrade to upstream version 1.29

* Fri Feb 02 2006 Jason Vas Dias <jvdias@redhat.com> - 1.28-1
- Upgrade to upstream version 1.28
- Rebuild for perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com> - 1.26-1.1
- Rebuilt for new gcc

* Sun Nov 06 2005 Florian La Roche <laroche@redhat.com> - 1.26-1
- 1.26

* Mon Apr 25 2005 Warren Togami <wtogami@redhat.com> - 1.23-4
- Remove beehive workaround

* Sun Apr 03 2005 Jose Pedro Oliveira <jpo@di.uminho.pt> - 1.23-1
- Update to 1.23
- Bring up to date with current Fedora.Extras perl spec template

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> - 1.08-3
- Rebuild

* Fri Feb 13 2004 Chip Turner <cturner@redhat.com> - 1.08-1
- Update to upstream 1.08

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- Rebuilt

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- Automated release bump and build

* Fri Feb 08 2002 cturner@redhat.com
- Specfile autogenerated
